Loading...
Searching...
No Matches
cf_factory.h File Reference

Interface to generate InternalCF's over various domains from intrinsic types or mpz_t's. More...

`#include "cf_defs.h"`
`#include "variable.h"`
`#include "factory/cf_gmp.h"`
`#include "cf_assert.h"`

Go to the source code of this file.

## Data Structures

class | CFFactory

## Functions

void | getmpi (InternalCF *value, mpz_t mpi)

## Detailed Description

Interface to generate InternalCF's over various domains from intrinsic types or mpz_t's.

Definition in file cf_factory.h.

## Function Documentation

## getmpi()

void getmpi | ( | InternalCF * | value,
|  | mpz_t | mpi )

Definition at line 152 of file cf_factory.cc.

{
ASSERT( ! is_imm( value ) && (value->levelcoeff() == IntegerDomain || value->levelcoeff() == PrimePowerDomain), "illegal operation" );
mpz_init_set (mpi, ((InternalInteger*)value)->thempi);
}
is_imm
int is_imm(const InternalCF *const ptr)
Definition canonicalform.h:65
ASSERT
#define ASSERT(expression, message)
Definition cf_assert.h:99
PrimePowerDomain
#define PrimePowerDomain
Definition cf_defs.h:17
IntegerDomain
#define IntegerDomain
Definition cf_defs.h:21
InternalCF::levelcoeff
virtual int levelcoeff() const
Definition int_cf.h:68
InternalInteger
factory's class for integers
Definition int_int.h:56